﻿using System;

using System.Linq;


namespace ScrumFactory.Services.Web {

    public partial class MemberImage : System.Web.UI.Page {

        private ITeamService teamService = null;
        private ITeamService TeamService {
            get {
                if (teamService != null)
                    return teamService;                                
                teamService = ScrumFactory.Services.Web.Application.CompositionContainer.GetExportedValueOrDefault<ITeamService>();
                

                return teamService;
            }
            
        }

        private byte[] GetNullImage() {
            System.IO.FileStream fs = System.IO.File.OpenRead(Server.MapPath("Images/whoMember.png"));
            byte[] image = new byte[fs.Length];
            fs.Read(image, 0, image.Length);
            fs.Close();
            return image;
        }

        private byte[] GetDefaultImage() {
            System.IO.FileStream fs = System.IO.File.OpenRead(Server.MapPath("Images/noneMember.png"));
            byte[] image = new byte[fs.Length];
            fs.Read(image, 0, image.Length);
            fs.Close();
            return image;
        }

        private byte[] GetContactImage() {
            System.IO.FileStream fs = System.IO.File.OpenRead(Server.MapPath("Images/contactMember.png"));
            byte[] image = new byte[fs.Length];
            fs.Read(image, 0, image.Length);
            fs.Close();
            return image;
        }

        private byte[] GetImage(string memberUId) {
            
            if (String.IsNullOrEmpty(memberUId)) 
                return GetNullImage();

            if(TeamService==null)
                return GetDefaultImage();

            MemberProfile member = TeamService.GetMember(memberUId);
            if(member==null) 
                return GetDefaultImage();

            if (member.IsContactMember)
                return GetContactImage();

            MemberAvatar avatar = TeamService.GetMemberAvatar(memberUId);
            if (avatar == null)
                return GetDefaultImage();

            return avatar.AvatarImage;
        }

        protected void Page_Load(object sender, EventArgs e) {
                        
            string memberUId = Request["memberUId"];

            byte[] image = GetImage(memberUId);

            Response.ContentType = "image/png";
            Response.BinaryWrite(image);

        }
    }
}