﻿using System.ComponentModel.Composition;
using System.Windows;
using System.Windows.Input;
using ScrumFactory.Windows.Helpers;
using ScrumFactory.Composition.View;
using ScrumFactory.Composition;

namespace ScrumFactory.Windows
{

    [Export]
    public partial class MainWindow : Window, IDialogView
    {
        private object model;
        

        public MainWindow()
        {
            this.InitializeComponent();

            StateChanged += new System.EventHandler(MainWindow_StateChanged);

            Closed += new System.EventHandler(MainWindow_Closed);

        }

        
        void MainWindow_Closed(object sender, System.EventArgs e) {
            Application.Current.Shutdown();
        }

        public new void Show() {
            WindowState = System.Windows.WindowState.Normal;
            SetMaximized();
            base.Show();
        }

        void MainWindow_StateChanged(object sender, System.EventArgs e) {
            if (WindowState == System.Windows.WindowState.Minimized) {
                ShowInTaskbar = true;                
            }
            else {
                SetMaximized();
                ShowInTaskbar = true;
            }
        }



        private void SetMaximized() {            
            Left = 0;
            Top = 0;
            Width = System.Windows.SystemParameters.PrimaryScreenWidth;
            Height = System.Windows.SystemParameters.WorkArea.Height;           
        }

        

        [Import(typeof(ViewModel.ShellViewModel))]
        public object Model
        {
            get
            {
                return this.model;
            }
            set
            {
                this.model = value;
                this.DataContext = value;                
            }
        }

    

        private void ShowTopMenu() {
            System.Windows.Media.Animation.ThicknessAnimation ani = new System.Windows.Media.Animation.ThicknessAnimation(
                  new Thickness(0, 0, 0, 0), new Duration(new System.TimeSpan(0, 0, 0, 0, 300)));
            mainGrid.BeginAnimation(MarginProperty, ani);      
        }

        private void HideTopMenu() {
            System.Windows.Media.Animation.ThicknessAnimation ani = new System.Windows.Media.Animation.ThicknessAnimation(
                    new Thickness(0, -34, 0, 0), new Duration(new System.TimeSpan(0, 0, 0, 0, 300)));
            mainGrid.BeginAnimation(MarginProperty, ani);
        }

        private void Border_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e) {
            if ((bool)e.NewValue)
                HideTopMenu();
            else
                ShowTopMenu();
        }

        //private void leftPanels_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e) {
        //    if (leftPanels.SelectedItem != null) {
        //        leftPanels.Height = Height;
        //    }
        //}

      

       

    }
}
